# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.mat.dtfj.PreferenceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ALL_METHODS_AS_CLASSES`
`"all"`
`public static final String`
`FRAMES_ONLY`
`"frames"`
`public static final String`
`NO_METHODS_AS_CLASSES`
`"none"`
`public static final String`
`P_METHODS`
`"methodsAsClasses"`
`public static final String`
`P_RELIABILITY_CHECK`
`"reliabilityCheck"`
`public static final String`
`P_SUPPRESS_CLASS_NATIVE_SIZES`
`"suppressClassNativeSizes"`
`public static final String`
`RELIABILITY_FATAL`
`"fatal"`
`public static final String`
`RELIABILITY_SKIP`
`"skip"`
`public static final String`
`RELIABILITY_WARNING`
`"warning"`
`public static final String`
`RUNNING_METHODS_AS_CLASSES`
`"running"`

org.eclipse.mat.hprof.HprofHeapObjectReader
Modifier and Type
Constant Field
Value
`public static final String`
`HPROF_HEAP_START`
`"hprof.heap.start"`
`public static final String`
`HPROF_LENGTH_PROPERTY`
`"hprof.length"`
`public static final String`
`VERSION_PROPERTY`
`"hprof.version"`
org.eclipse.mat.hprof.HprofRandomAccessParser
Modifier and Type
Constant Field
Value
`public static final int`
`LAZY_LOADING_LIMIT`
`256`
org.eclipse.mat.hprof.IHprofParserHandler
Modifier and Type
Constant Field
Value
`public static final String`
`CREATION_DATE`
`"CREATION_DATE"`
`public static final String`
`HEAP_POSITION`
`"HEAP_POS"`
`public static final String`
`IDENTIFIER_SIZE`
`"ID_SIZE"`
`public static final String`
`REFERENCE_SIZE`
`"REF_SIZE"`
`public static final String`
`STREAM_LENGTH`
`"LENGTH"`
`public static final String`
`VERSION`
`"VERSION"`

org.eclipse.mat.hprof.ui.HprofPreferences
Modifier and Type
Constant Field
Value
`public static final String`
`ADDITIONAL_CLASS_REFERENCES`
`"hprofAddClassRefs"`
`public static final String`
`FRAMES_ONLY`
`"frames"`
`public static final String`
`NO_METHODS_AS_CLASSES`
`"none"`
`public static final String`
`P_METHODS`
`"methodsAsClasses"`
`public static final String`
`RUNNING_METHODS_AS_CLASSES`
`"running"`
`public static final String`
`STRICTNESS_PREF`
`"hprofStrictness"`

org.eclipse.mat.ibmvm.agent.DumpAgent
Modifier and Type
Constant Field
Value
`public static final String`
`HEAP`
`"heap"`
`public static final String`
`HPROF`
`"hprof"`
`public static final String`
`JAVA`
`"java"`
`public static final String`
`SEPARATOR`
`"+"`
`public static final String`
`SYSTEM`
`"system"`

org.eclipse.mat.inspections.ClassReferrersQuery.Type
Modifier and Type
Constant Field
Value
`public static final int`
`MIXED`
`1`
`public static final int`
`NEW`
`0`
`public static final int`
`OLD_FAD`
`2`

org.eclipse.mat.inspections.threads.ThreadOverviewQuery
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_THREAD`
`"java.lang.Thread"`

org.eclipse.mat.internal.MATPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.mat.api"`

org.eclipse.mat.internal.snapshot.HeapObjectParamArgument.Flags
Modifier and Type
Constant Field
Value
`public static final String`
`INCLUDE_CLASS_INSTANCE`
`"-include_class_instance"`
`public static final String`
`INCLUDE_LOADED_INSTANCES`
`"-include_loaded_instances"`
`public static final String`
`INCLUDE_SUBCLASSES`
`"-include_subclasses"`
`public static final String`
`RETAINED`
`"-retained"`
`public static final String`
`VERBOSE`
`"-verbose"`

org.eclipse.mat.jruby.resolver.RubyStacktraceDumper
Modifier and Type
Constant Field
Value
`public static final String`
`RUBY_RUNNABLE_CLASS`
`"org.jruby.internal.runtime.RubyRunnable"`
`public static final String`
`THREAD_CONTEXT_CLASS`
`"org.jruby.runtime.ThreadContext"`

org.eclipse.mat.parser.index.IndexReader
Modifier and Type
Constant Field
Value
`public static final boolean`
`DEBUG`
`false`
org.eclipse.mat.parser.index.IndexWriter
Modifier and Type
Constant Field
Value
`public static final int`
`PAGE_SIZE_INT`
`1000000`
`public static final int`
`PAGE_SIZE_LONG`
`500000`

org.eclipse.mat.parser.internal.ParserPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.mat.parser"`

org.eclipse.mat.parser.internal.oql.parser.OQLParserConstants
Modifier and Type
Constant Field
Value
`public static final int`
`AND`
`26`
`public static final int`
`ARRAY`
`48`
`public static final int`
`ARRAYLEFT`
`49`
`public static final int`
`ARRAYRIGHT`
`50`
`public static final int`
`CHARACTER_LITERAL`
`20`
`public static final int`
`COLON`
`54`
`public static final int`
`COMMA`
`41`
`public static final int`
`DECIMAL_LITERAL`
`15`
`public static final int`
`DEFAULT`
`0`
`public static final int`
`DIVIDE`
`53`
`public static final int`
`DOLLAR_SIGN`
`29`
`public static final int`
`DOT`
`42`
`public static final int`
`EOF`
`0`
`public static final int`
`EQ`
`35`
`public static final int`
`EXPONENT`
`19`
`public static final int`
`FALSE`
`24`
`public static final int`
`FLOATING_POINT_LITERAL`
`18`
`public static final int`
`FORMAL_COMMENT`
`10`
`public static final int`
`GE`
`37`
`public static final int`
`GT`
`34`
`public static final int`
`HEX_LITERAL`
`16`
`public static final int`
`IDENTIFIER`
`30`
`public static final int`
`IMPLEMENTS`
`28`
`public static final int`
`IN_FORMAL_COMMENT`
`2`
`public static final int`
`IN_MULTI_LINE_COMMENT`
`3`
`public static final int`
`IN_SINGLE_LINE_COMMENT`
`1`
`public static final int`
`INSIDE_COMMENT`
`12`
`public static final int`
`INSTANCEOF`
`22`
`public static final int`
`INTEGER_LITERAL`
`13`
`public static final int`
`LBRACE`
`43`
`public static final int`
`LE`
`36`
`public static final int`
`LETTER`
`31`
`public static final int`
`LONG_LITERAL`
`14`
`public static final int`
`LPAREN`
`46`
`public static final int`
`LT`
`33`
`public static final int`
`MINUS`
`52`
`public static final int`
`MULTI_LINE_COMMENT`
`11`
`public static final int`
`NATIVE`
`45`
`public static final int`
`NE`
`38`
`public static final int`
`NULL`
`27`
`public static final int`
`OCTAL_LITERAL`
`17`
`public static final int`
`OR`
`25`
`public static final int`
`PART_LETTER`
`32`
`public static final int`
`PLUS`
`51`
`public static final int`
`RBRACE`
`44`
`public static final int`
`RPAREN`
`47`
`public static final int`
`SINGLE_LINE_COMMENT`
`9`
`public static final int`
`STAR`
`40`
`public static final int`
`START_FORMAL_COMMENT`
`7`
`public static final int`
`STRING_LITERAL`
`21`
`public static final int`
`TERMINATOR`
`39`
`public static final int`
`TRUE`
`23`
org.eclipse.mat.parser.internal.oql.parser.SimpleCharStream
Modifier and Type
Constant Field
Value
`public static final boolean`
`staticFlag`
`false`

org.eclipse.mat.parser.internal.util.ParserRegistry
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_TYPE_BINDING`
`"contentTypeBinding"`
`public static final String`
`CONTENT_TYPE_ID`
`"contentTypeId"`
`public static final String`
`INDEX_BUILDER`
`"indexBuilder"`
`public static final String`
`OBJECT_READER`
`"objectReader"`

org.eclipse.mat.parser.io.BitInputStream
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`16384`
org.eclipse.mat.parser.io.BitOutputStream
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`16384`

org.eclipse.mat.parser.model.ClassImpl
Modifier and Type
Constant Field
Value
`public static final String`
`JAVA_LANG_CLASS`
`"java.lang.Class"`
org.eclipse.mat.parser.model.ClassLoaderImpl
Modifier and Type
Constant Field
Value
`public static final String`
`NO_LABEL`
`"__none__"`

org.eclipse.mat.query.BytesDisplay
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_NAME`
`"bytes_display"`
org.eclipse.mat.query.BytesFormat
Modifier and Type
Constant Field
Value
`public static final String`
`DETAILED_DECIMAL_FORMAT`
`"#,##0.00"`

org.eclipse.mat.query.annotations.Argument
Modifier and Type
Constant Field
Value
`public static final String`
`UNFLAGGED`
`"none"`
org.eclipse.mat.query.annotations.Category
Modifier and Type
Constant Field
Value
`public static final String`
`HIDDEN`
`"__hidden__"`

org.eclipse.mat.query.registry.QueryObjectLink
Modifier and Type
Constant Field
Value
`public static final String`
`PROTOCOL`
`"mat://"`

org.eclipse.mat.report.Params
Modifier and Type
Constant Field
Value
`public static final String`
`FILENAME`
`"filename"`
`public static final String`
`FILENAME_SUFFIX`
`"filename_suffix"`
`public static final String`
`FORMAT`
`"format"`
`public static final String`
`SNAPSHOT`
`"snapshot"`
`public static final String`
`SNAPSHOT_PREFIX`
`"snapshot_prefix"`
`public static final String`
`TIMESTAMP`
`"timestamp"`
org.eclipse.mat.report.Params.Html
Modifier and Type
Constant Field
Value
`public static final String`
`COLLAPSED`
`"html.collapsed"`
`public static final String`
`IS_IMPORTANT`
`"html.is_important"`
`public static final String`
`RENDER_DETAILS`
`"html.render_details"`
`public static final String`
`SEPARATE_FILE`
`"html.separate_file"`
`public static final String`
`SHOW_HEADING`
`"html.show_heading"`
`public static final String`
`SHOW_TABLE_HEADER`
`"html.show_table_header"`
`public static final String`
`SHOW_TOTALS`
`"html.show_totals"`
org.eclipse.mat.report.Params.Rendering
Modifier and Type
Constant Field
Value
`public static final String`
`DERIVED_DATA_COLUMN`
`"derived_data_column"`
`public static final String`
`FILTER`
`"filter"`
`public static final String`
`HIDE_COLUMN`
`"hide_column"`
`public static final String`
`LIMIT`
`"limit"`
`public static final String`
`PATTERN`
`"rendering.pattern"`
`public static final String`
`PATTERN_OVERVIEW_DETAILS`
`"overview_details"`
`public static final String`
`PATTERN_SEQUENTIAL`
`"sequential"`
`public static final String`
`SORT_COLUMN`
`"sort_column"`

org.eclipse.mat.report.internal.ReportPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.mat.report"`

org.eclipse.mat.snapshot.model.GCRootInfo.Type
Modifier and Type
Constant Field
Value
`public static final int`
`BUSY_MONITOR`
`32`
`public static final int`
`FINALIZABLE`
`512`
`public static final int`
`JAVA_LOCAL`
`64`
`public static final int`
`JAVA_STACK_FRAME`
`4096`
`public static final int`
`NATIVE_LOCAL`
`4`
`public static final int`
`NATIVE_STACK`
`128`
`public static final int`
`NATIVE_STATIC`
`8`
`public static final int`
`SYSTEM_CLASS`
`2`
`public static final int`
`THREAD_BLOCK`
`16`
`public static final int`
`THREAD_OBJ`
`256`
`public static final int`
`UNFINALIZED`
`1024`
`public static final int`
`UNKNOWN`
`1`
`public static final int`
`UNREACHABLE`
`2048`
org.eclipse.mat.snapshot.model.IClass
Modifier and Type
Constant Field
Value
`public static final String`
`JAVA_LANG_CLASS`
`"java.lang.Class"`
`public static final String`
`JAVA_LANG_CLASSLOADER`
`"java.lang.ClassLoader"`
org.eclipse.mat.snapshot.model.IObject.Type
Modifier and Type
Constant Field
Value
`public static final int`
`BOOLEAN`
`4`
`public static final int`
`BYTE`
`8`
`public static final int`
`CHAR`
`5`
`public static final int`
`DOUBLE`
`7`
`public static final int`
`FLOAT`
`6`
`public static final int`
`INT`
`10`
`public static final int`
`LONG`
`11`
`public static final int`
`OBJECT`
`2`
`public static final int`
`SHORT`
`9`

org.eclipse.mat.ui.IconLabels
Modifier and Type
Constant Field
Value
`public static final String`
`ICON_KEY_PREFIX`
`"IconLabel"`
`public static final String`
`UNKNOWN_ICON_KEY`
`"IconLabelUnknown"`
org.eclipse.mat.ui.MemoryAnalyserPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`EDITOR_ID`
`"org.eclipse.mat.ui.editors.HeapEditor"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.mat.ui"`
org.eclipse.mat.ui.MemoryAnalyserPlugin.ISharedImages
Modifier and Type
Constant Field
Value
`public static final String`
`ARGUMENTS_WIZARD`
`"$nl$/icons/fill_arguments_wiz.gif"`
`public static final String`
`CALCULATOR`
`"$nl$/icons/calculator.gif"`
`public static final String`
`CLASS`
`"$nl$/icons/heapobjects/class.gif"`
`public static final String`
`CLASS_MIXED`
`"$nl$/icons/heapobjects/class_mixed.gif"`
`public static final String`
`CLASS_OLD`
`"$nl$/icons/heapobjects/class_old.gif"`
`public static final String`
`CLOSE_BRANCH`
`"$nl$/icons/close_branch.gif"`
`public static final String`
`CLOSE_PANE`
`"$nl$/icons/close_pane.gif"`
`public static final String`
`COMPARE`
`"$nl$/icons/compare.gif"`
`public static final String`
`CONSOLE`
`"$nl$/icons/console.gif"`
`public static final String`
`CONSOLE_PLUS`
`"$nl$/icons/console_plus.gif"`
`public static final String`
`CONSOLE_REMOVE`
`"$nl$/icons/remove_console.gif"`
`public static final String`
`COPY`
`"$nl$/icons/copy.gif"`
`public static final String`
`EXECUTE_QUERY`
`"$nl$/icons/execute_query.gif"`
`public static final String`
`EXPERT_SYSTEM`
`"$nl$/icons/expert.gif"`
`public static final String`
`EXPLORE`
`"$nl$/icons/explore.gif"`
`public static final String`
`EXPORT_CSV`
`"$nl$/icons/export_csv.gif"`
`public static final String`
`EXPORT_HTML`
`"$nl$/icons/export_html.gif"`
`public static final String`
`EXPORT_MENU`
`"$nl$/icons/export.gif"`
`public static final String`
`EXPORT_TXT`
`"$nl$/icons/export_txt.gif"`
`public static final String`
`FILTER`
`"$nl$/icons/filter.gif"`
`public static final String`
`FIND`
`"$nl$/icons/find.gif"`
`public static final String`
`GROUPING`
`"$nl$/icons/grouping.gif"`
`public static final String`
`HEAP`
`"$nl$/icons/heapobjects/heapdump16.gif"`
`public static final String`
`HEAP_INFO`
`"$nl$/icons/heapdump_details.gif"`
`public static final String`
`HELP`
`"$nl$/icons/help.png"`
`public static final String`
`ID`
`"$nl$/icons/id.gif"`
`public static final String`
`IMPORT_REPORT`
`"$nl$/icons/import_report.gif"`
`public static final String`
`INFO`
`"$nl$/icons/info.gif"`
`public static final String`
`MOVE_DOWN`
`"$nl$/icons/move_down.gif"`
`public static final String`
`MOVE_UP`
`"$nl$/icons/move_up.gif"`
`public static final String`
`NOTEPAD`
`"$nl$/icons/notepad.gif"`
`public static final String`
`OPEN_SNAPSHOT`
`"$nl$/icons/open_snapshot.gif"`
`public static final String`
`OQL`
`"$nl$/icons/oql.gif"`
`public static final String`
`PACKAGE`
`"$nl$/icons/package.gif"`
`public static final String`
`PERCENTAGE`
`"$nl$/icons/percentage.gif"`
`public static final String`
`PINNED`
`"$nl$/icons/pinned.gif"`
`public static final String`
`PLUS`
`"$nl$/icons/plus.gif"`
`public static final String`
`QUERY`
`"$nl$/icons/query_browser.gif"`
`public static final String`
`QUERY_DISABLED`
`"$nl$/icons/query_disabled.gif"`
`public static final String`
`REFRESH`
`"$nl$/icons/refresh.gif"`
`public static final String`
`REFRESHING`
`"$nl$/icons/refreshing.gif"`
`public static final String`
`REMOVE`
`"$nl$/icons/remove.gif"`
`public static final String`
`REMOVE_ALL`
`"$nl$/icons/removeall.gif"`
`public static final String`
`RETAINED_SET`
`"$nl$/icons/retainedSet.gif"`
`public static final String`
`SELECT_COLUMN`
`"$nl$/icons/select_table.gif"`
`public static final String`
`SET_DIFFERENCE_A`
`"$nl$/icons/set_differenceA.gif"`
`public static final String`
`SET_DIFFERENCE_B`
`"$nl$/icons/set_differenceB.gif"`
`public static final String`
`SET_INTERSECTION`
`"$nl$/icons/set_intersection.gif"`
`public static final String`
`SET_SYMMETRIC_DIFFERENCE`
`"$nl$/icons/set_symmetric_difference.gif"`
`public static final String`
`SET_UNION`
`"$nl$/icons/set_union.gif"`
`public static final String`
`SHOW_AS_HISTOGRAM`
`"$nl$/icons/as_histogram.gif"`
`public static final String`
`SHOW_PANE`
`"$nl$/icons/show_pane.gif"`
`public static final String`
`SIZE`
`"$nl$/icons/size.gif"`
`public static final String`
`SUPERCLASS`
`"$nl$/icons/heapobjects/superclass.gif"`
`public static final String`
`SYNCED`
`"$nl$/icons/synced.gif"`
`public static final String`
`SYNCED_DISABLED`
`"$nl$/icons/synced_disabled.gif"`
`public static final String`
`THREAD`
`"$nl$/icons/thread.gif"`

org.eclipse.mat.ui.compare.CompareBasketView
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.mat.ui.views.CompareBasketView"`

org.eclipse.mat.ui.editor.MultiPaneEditor
Modifier and Type
Constant Field
Value
`public static final int`
`PROP_ACTION_BAR`
`16777217`
`public static final int`
`PROP_FOLDER_IMAGE`
`16777218`

org.eclipse.mat.ui.internal.GettingStartedWizard
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE_WIZARD_KEY`
`"hideGettingStartedWizard"`
org.eclipse.mat.ui.internal.PreferenceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DISCARD_ENABLE`
`"discardEnable"`
`public static final String`
`DISCARD_OFFSET`
`"discard_offset_percentage"`
`public static final String`
`DISCARD_PATTERN`
`"discard_pattern"`
`public static final String`
`DISCARD_RATIO`
`"discard_ratio_percentage"`
`public static final String`
`DISCARD_SEED`
`"discard_seed"`
`public static final String`
`EXPAND_ENTRIES`
`"expand_entries"`
`public static final String`
`P_HIDE_WELCOME_SCREEN`
`"hide_welcome_screen"`
`public static final String`
`P_KEEP_UNREACHABLE_OBJECTS`
`"keep_unreachable_objects"`

org.eclipse.mat.ui.internal.acquire.ProviderArgumentsWizardPage
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE_QUERY_HELP`
`"pref:HideQueryHelp"`
org.eclipse.mat.ui.internal.acquire.ProviderConfigurationWizardPage
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE_QUERY_HELP`
`"pref:HideQueryHelp"`

org.eclipse.mat.ui.internal.query.arguments.ArgumentsWizardPage
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE_QUERY_HELP`
`"pref:HideQueryHelp"`

org.eclipse.mat.ui.snapshot.ImageHelper.Decorations
Modifier and Type
Constant Field
Value
`public static final String`
`GC_ROOT`
`"$nl$/icons/decorations/gc_root.gif"`
org.eclipse.mat.ui.snapshot.ImageHelper.Type
Modifier and Type
Constant Field
Value
`public static final int`
`ARRAY_INSTANCE`
`3`
`public static final int`
`ARRAY_INSTANCE_GC_ROOT`
`7`
`public static final int`
`CLASS`
`8`
`public static final int`
`CLASS_INSTANCE`
`0`
`public static final int`
`CLASS_INSTANCE_GC_ROOT`
`4`
`public static final int`
`CLASSLOADER_INSTANCE`
`2`
`public static final int`
`CLASSLOADER_INSTANCE_GC_ROOT`
`6`
`public static final int`
`OBJECT_INSTANCE`
`1`
`public static final int`
`OBJECT_INSTANCE_GC_ROOT`
`5`
`public static final int`
`PACKAGE`
`9`
`public static final int`
`STACK_FRAME`
`10`

org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.ColorProvider
Modifier and Type
Constant Field
Value
`public static final String`
`COMMENT_COLOR_PREF`
`"org.eclipse.mat.ui.oql_comment"`
`public static final String`
`KEYWORD_COLOR_PREF`
`"org.eclipse.mat.ui.oql_keyword"`

org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning.OQLPartitionScanner
Modifier and Type
Constant Field
Value
`public static final String`
`COMMENT_CLAUSE`
`"__oql_comment"`
`public static final String`
`FROM_CLAUSE`
`"__oql_from"`
`public static final String`
`SELECT_CLAUSE`
`"__oql_select"`
`public static final String`
`UNION_CLAUSE`
`"__oql_union"`
`public static final String`
`WHERE_CLAUSE`
`"__oql_where"`

org.eclipse.mat.util.IProgressListener
Modifier and Type
Constant Field
Value
`public static final int`
`UNKNOWN_TOTAL_WORK`
`-1`